<div ref:content></div>

<style>
    div {
        overflow: hidden;
        height: 100%;
    }
</style>

<script>
    import { withRoutes } from './RouterService';

    export default {
        oncreate() {
            this.view = null;
            withRoutes(this.get().routes, (comp) => {
                this.setView(comp);
            });
        },
        methods: {
            setView(component) {
                this.view && this.view.destroy();
                this.view = new component({
                    target: this.refs.content
                });
            }
        }
    };

</script>